Subject: Re: Expected Behavior?

From: Jon Loeliger <[email-masked]>
Date: Mon, 07 Nov 2005 21:43:15 -0600

> Yup, it uses "git-ls-files --others", which considers that
> unmerged paths do not "exist" in the index.  This is wrong.
> 
> The attached is a patch to fix ls-files.
> 
> I also think that file3 should not appear in "Updated but not
> checked in (will commit)" list -- we are _not_ going to commit
> unmerged paths until you tell git what you want to do with
> them.  The patch in the next message fixes it.

Patch looks good here!  Thanks!

    % git status
    #
    # Updated but not checked in:
    #   (will commit)
    #
    #       modified: file1
    #       deleted:  file2
    #
    #
    # Changed but not updated:
    #   (use git-update-index to mark for commit)
    #
    #       unmerged: file3
    #

But I have a lingering question.  Same script as before.

    % git diff file3
    * Unmerged path file3

    % cat file3
    Stuff for a conflict.

Why didn't file3 show something like:

    % cat file3
    <<<<<
    Stuff for a conflict.
    =====
    Another file!

That is, after the merge, file3 appears to have simply kept
the contents of the current, master branch.  Why wasn't the
dev branch represented here?

I _almost_ think I get it, and then *poof*...

Thanks,
jdl